Bug 1469802 - SUI : Start/Stop operation on any service hides the top button menu bar
SUI : Start/Stop operation on any service hides the top button menu bar
Status: VERIFIED
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - Service (Show other bugs)
5.8.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.9.0
Assigned To: Allen W
Yadnyawalk Tale
: TestOnly, ZStream
Depends On:
Blocks: 1478542
  Show dependency treegraph
 
Reported: 2017-07-11 17:08 EDT by Shveta
Modified: 2017-10-24 01:52 EDT (History)
5 users (show)

See Also:
Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1478542 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
start service (82.88 KB, image/png)
2017-07-11 17:08 EDT, Shveta
no flags Details
button bar is gone (79.83 KB, image/png)
2017-07-11 17:09 EDT, Shveta
no flags Details
wroking_menubar_Oct 18 16:57:16 IST 2017.mp4 (465.72 KB, video/mp4)
2017-10-18 07:51 EDT, Yadnyawalk Tale
no flags Details

  None (edit)
Description Shveta 2017-07-11 17:08:57 EDT
Created attachment 1296469 [details]
start service

Description of problem:
As shown in attached screenshot the top button menu bar with buttons like "Power Operation , Configuration" is gone after start/stop operation on a service

Version-Release number of selected component (if applicable):
5.8.1.0.20170623170756_3ed4411 

How reproducible:


Steps to Reproduce:
1.  Create a service . Click on it .Power Operation - Start or Stop that service.
2. The top button bar will be gone for sometime and returns back after a while due to polling I guess .(Magic)
3.

Actual results:


Expected results:


Additional info:
Comment 2 Shveta 2017-07-11 17:09 EDT
Created attachment 1296470 [details]
button bar is gone
Comment 4 Chris Kacerguis 2017-07-12 15:27:59 EDT
A Pivotal Tracker story has been created for this Bug: https://www.pivotaltracker.com/story/show/148785143
Comment 6 Chris Kacerguis 2017-07-12 15:38:34 EDT
Allen added a comment in Pivotal Tracker:   
   
https://github.com/ManageIQ/manageiq-ui-service/pull/844
Comment 8 Yadnyawalk Tale 2017-10-18 07:51 EDT
Created attachment 1340137 [details]
wroking_menubar_Oct 18 16:57:16 IST 2017.mp4

Hey @Allen,

Start/Stop/Suspend power options working fine with this fix. 
Also can able to perform all service operations without hiding button menubar. (Proof attached)
Verified on: 5.9.0.1.20171004215954_13427ce (also on 5.9.0.2.20171010190026_0413a06)

Great fix!
~Thanks
Comment 9 Allen W 2017-10-18 09:23:39 EDT
❤️❤️❤️❤️❤️❤️❤️❤️❤️❤️❤️❤️❤️❤️ 🙇🏽 awesome!  so glad to hear!

Note You need to log in before you can comment on or make changes to this bug.